[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/libgda/devel libgda-1.9.100-sharp.patch, 1.3, 1.4 libgda.spec, 1.19, 1.20



Author: jwrdegoede

Update of /cvs/extras/rpms/libgda/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv6353

Modified Files:
	libgda-1.9.100-sharp.patch libgda.spec 
Log Message:
* Thu May 10 2007 Hans de Goede <j w r degoede hhs nl> 1:1.9.100-12
- Don't build mono/sharp bits on ppc64
- Fixup packaging of sharp bindings to match the mono packaging guidelines


libgda-1.9.100-sharp.patch:

Index: libgda-1.9.100-sharp.patch
===================================================================
RCS file: /cvs/extras/rpms/libgda/devel/libgda-1.9.100-sharp.patch,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- libgda-1.9.100-sharp.patch	14 Feb 2006 21:20:35 -0000	1.3
+++ libgda-1.9.100-sharp.patch	10 May 2007 21:15:47 -0000	1.4
@@ -7,12 +7,10 @@
  </configuration>
 --- libgda-1.9.100/gda-sharp/gda-sharp-2.0.pc.in~	2006-02-13 21:43:19.000000000 +0100
 +++ libgda-1.9.100/gda-sharp/gda-sharp-2.0.pc.in	2006-02-13 21:59:35.000000000 +0100
-@@ -1,12 +1,14 @@
- prefix= prefix@
+@@ -2,11 +2,13 @@
  exec_prefix= exec_prefix@
  libdir= libdir@
--pkglibdir=${libdir}/libgda
-+pkglibdir=${prefix}/lib/mono/gda-sharp-2.0
+ pkglibdir=${libdir}/libgda
 +gapidir=${prefix}/share/gapi-2.0
 +
  


Index: libgda.spec
===================================================================
RCS file: /cvs/extras/rpms/libgda/devel/libgda.spec,v
retrieving revision 1.19
retrieving revision 1.20
diff -u -r1.19 -r1.20
--- libgda.spec	15 Dec 2006 14:38:04 -0000	1.19
+++ libgda.spec	10 May 2007 21:15:47 -0000	1.20
@@ -19,23 +19,23 @@
 %define           ORACLE   0
 %define           POSTGRES 1
 %define           SYBASE   0
-%define 	  MDB	   0
-%define		  LDAP	   1
+%define           MDB      0
+%define           LDAP     1
 
-%{?_with_tds:%define FREETDS 	1}
-%{?_with_db2:%define IBMDB2 	1}
-%{?_with_mdb:%define MDB 	1}
-%{?_with_oracle:%define ORACLE 	1}
-%{?_with_sybase:%define SYBASE 	1}
-%{?_without_ldap:%define LDAP 	0}
+%{?_with_tds:%define FREETDS    1}
+%{?_with_db2:%define IBMDB2     1}
+%{?_with_mdb:%define MDB        1}
+%{?_with_oracle:%define ORACLE  1}
+%{?_with_sybase:%define SYBASE  1}
+%{?_without_ldap:%define LDAP   0}
 %{?_without_mysql:%define MYSQL 0}
-%{?_without_odbc:%define ODBC 	0}
-%{?_without_postgres:%define POSTGRES 	0}
+%{?_without_odbc:%define ODBC   0}
+%{?_without_postgres:%define POSTGRES 0}
 
 Summary:          Library for writing gnome database programs
 Name:             libgda
 Version:          1.9.100
-Release:          11%{?dist}
+Release:          12%{?dist}
 Epoch:            1
 Source:           http://ftp.gnome.org/pub/GNOME/sources/%{name}/1.9/%{name}-%{version}.tar.bz2
 URL:              http://www.gnome-db.org/
@@ -46,9 +46,11 @@
 BuildRequires:    glib2-devel >= 2.0.0
 BuildRequires:    libxslt-devel >= 1.0.9
 BuildRequires:    libxml2-devel ncurses-devel sqlite-devel readline-devel
-BuildRequires:    db4-devel mono-devel gtk-sharp2-devel gtk-sharp2-gapi
-BuildRequires:    gamin-devel gtk-doc scrollkeeper groff gettext flex bison
-BuildRequires:    intltool automake libtool
+BuildRequires:    db4-devel gamin-devel gtk-doc scrollkeeper groff gettext
+BuildRequires:    flex bison intltool automake libtool
+%ifnarch ppc64
+BuildRequires:    mono-devel gtk-sharp2-devel gtk-sharp2-gapi
+%endif
 
 %if %{FREETDS}
 BuildRequires:    freetds-devel
@@ -67,11 +69,11 @@
 %endif
 
 %if %{MDB}
-BuildRequires:	  mdbtools-devel
+BuildRequires:    mdbtools-devel
 %endif
 
 %if %{LDAP}
-BuildRequires:	  openldap-devel
+BuildRequires:    openldap-devel
 %endif
 
 Patch0: libgda-1.9.100-configure.patch
@@ -90,13 +92,15 @@
 Requires:         glib2-devel >= 2.0.0
 Requires:         libxslt-devel >= 1.0.9
 Requires:         db4-devel libxml2-devel
-Requires:	  %{name} = %{epoch}:%{version}-%{release}
+Requires:         %{name} = %{epoch}:%{version}-%{release}
 
 %description devel
 This package contains the header files and libraries needed to write
 or compile programs that use libgda.
 
 
+%ifnarch ppc64
+
 %package sharp
 Summary:          Mono bindings for libgda
 Group:            System Environment/Libraries
@@ -107,101 +111,113 @@
 applications which use libgda.
 
 
+%package sharp-devel
+Summary:          Development files for the Mono bindings for libgda
+Group:            Development/Libraries
+Requires:         %{name}-sharp = %{epoch}:%{version}-%{release}
+Requires:         pkgconfig
+
+%description sharp-devel
+Development files for the Mono bindings for libgda
+
+%endif
+
+
 %package sqlite
-Summary:	libgda SQLite Provider
-Group:		System Environment/Libraries
-Obsoletes:	gda-sqlite < %{epoch}:%{version}-%{release}
-Provides:	gda-sqlite = %{epoch}:%{version}-%{release}
+Summary:          SQLite provider for libgda
+Group:            System Environment/Libraries
+Obsoletes:        gda-sqlite < %{epoch}:%{version}-%{release}
+Provides:         gda-sqlite = %{epoch}:%{version}-%{release}
 %description sqlite
 This package includes the libgda SQLite provider.
 
 
 %if %{FREETDS}
 %package freetds
-Summary:	libgda FreeTDS Provider
-Group:		System Environment/Libraries
-Obsoletes:	gda-freetds < %{epoch}:%{version}-%{release}
-Provides:	gda-freetds = %{epoch}:%{version}-%{release}
+Summary:          FreeTDS provider for libgda
+Group:            System Environment/Libraries
+Obsoletes:        gda-freetds < %{epoch}:%{version}-%{release}
+Provides:         gda-freetds = %{epoch}:%{version}-%{release}
 %description freetds
 This package includes the libgda FreeTDS provider.
 %endif
 
 %if %{IBMDB2}
 %package ibmdb2
-Summary:	libgda IBM DB2 Provider
-Group:		System Environment/Libraries
-Obsoletes:	gda-ibmdb2 < %{epoch}:%{version}-%{release}
-Provides:	gda-ibmdb2 = %{epoch}:%{version}-%{release}
+Summary:          IBM DB2 provider for libgda
+Group:            System Environment/Libraries
+Obsoletes:        gda-ibmdb2 < %{epoch}:%{version}-%{release}
+Provides:         gda-ibmdb2 = %{epoch}:%{version}-%{release}
 %description ibmdb2
 This package includes the libgda IBM DB2 provider.
 %endif
 
 %if %{MYSQL}
 %package mysql
-Summary:	libgda MySQL Provider
-Group:		System Environment/Libraries
-Obsoletes:	gda-mysql < %{epoch}:%{version}-%{release}
-Provides:	gda-mysql = %{epoch}:%{version}-%{release}
+Summary:          MySQL provider for libgda
+Group:            System Environment/Libraries
+Obsoletes:        gda-mysql < %{epoch}:%{version}-%{release}
+Provides:         gda-mysql = %{epoch}:%{version}-%{release}
 %description mysql
 This package includes the libgda MySQL provider.
 %endif
 
 %if %{ODBC}
 %package odbc
-Summary:	libgda ODBC Provider
-Group:		System Environment/Libraries
-Obsoletes:	gda-odbc < %{epoch}:%{version}-%{release}
-Provides:	gda-odbc = %{epoch}:%{version}-%{release}
+Summary:          ODBC provider for libgda
+Group:            System Environment/Libraries
+Obsoletes:        gda-odbc < %{epoch}:%{version}-%{release}
+Provides:         gda-odbc = %{epoch}:%{version}-%{release}
 %description odbc
 This package includes the libgda ODBC provider.
 %endif
 
 %if %{ORACLE}
 %package oracle
-Summary:	libgda Oracle Provider
-Group:		System Environment/Libraries
-Obsoletes:	gda-oracle < %{epoch}:%{version}-%{release}
-Provides:	gda-oracle = %{epoch}:%{version}-%{release}
+Summary:          Oracle provider for libgda
+Group:            System Environment/Libraries
+Obsoletes:        gda-oracle < %{epoch}:%{version}-%{release}
+Provides:         gda-oracle = %{epoch}:%{version}-%{release}
 %description oracle
 This package includes the libgda Oracle provider.
 %endif
 
 %if %{POSTGRES}
 %package postgres
-Summary:	libgda PostgreSQL Provider
-Group:		System Environment/Libraries
-Obsoletes:	gda-postgres < %{epoch}:%{version}-%{release}
-Provides:	gda-postgres = %{epoch}:%{version}-%{release}
+Summary:          PostgreSQL provider for libgda
+Group:            System Environment/Libraries
+Obsoletes:        gda-postgres < %{epoch}:%{version}-%{release}
+Provides:         gda-postgres = %{epoch}:%{version}-%{release}
 %description postgres
 This package includes the libgda PostgreSQL provider.
 %endif
 
 %if %{SYBASE}
 %package sybase
-Summary:	libgda Sybase Provider
-Group:		System Environment/Libraries
-Obsoletes:	gda-sybase < %{epoch}:%{version}-%{release}
-Provides:	gda-sybase = %{epoch}:%{version}-%{release}
+Summary:          Sybase provider for libgda
+Group:            System Environment/Libraries
+Obsoletes:        gda-sybase < %{epoch}:%{version}-%{release}
+Provides:         gda-sybase = %{epoch}:%{version}-%{release}
 %description sybase
 This package includes the libgda Sybase provider.
 %endif
 
 %if %{MDB}
 %package mdb
-Summary:	libgda MDB Provider
-Group:		System Environment/Libraries
-Obsoletes:	gda-mdb < %{epoch}:%{version}-%{release}
-Provides:	gda-mdb = %{epoch}:%{version}-%{release}
+Summary:          MDB provider for libgda
+Group:            System Environment/Libraries
+Obsoletes:        gda-mdb < %{epoch}:%{version}-%{release}
+Provides:         gda-mdb = %{epoch}:%{version}-%{release}
 %description mdb
 This package includes the libgda MDB provider.
 %endif
-
+		
 %if %{LDAP}
 %package ldap
-Summary:	libgda LDAP Provider
-Group:		System Environment/Libraries
-Obsoletes:	gda-ldap < %{epoch}:%{version}-%{release}
-Provides:	gda-ldap = %{epoch}:%{version}-%{release}
+Summary:          LDAP provider for libgda
+Group:            System Environment/Libraries
+Obsoletes:        gda-ldap < %{epoch}:%{version}-%{release}
+Provides:         gda-ldap = %{epoch}:%{version}-%{release}
 %description ldap
 This package includes the libgda LDAP provider.
 %endif
@@ -282,12 +298,11 @@
 rm -rf %{buildroot}
 %makeinstall
 
+%ifnarch ppc64
 #fixup mono / sharp related files install
 mkdir -p %{buildroot}/%{_datadir}/gapi-2.0
 mv %{buildroot}/%{_libdir}/libgda/gda-api.xml %{buildroot}/%{_datadir}/gapi-2.0
-mkdir -p %{buildroot}/usr/lib/mono/gda-sharp-2.0
-mv %{buildroot}/%{_libdir}/libgda/* %{buildroot}/usr/lib/mono/gda-sharp-2.0
-rmdir %{buildroot}/%{_libdir}/libgda
+%endif
 
 # Cleanup unnecessary, unpackaged files
 rm -f %{buildroot}/%{_libdir}/libgda-1.9/providers/*.{a,la}
@@ -334,12 +349,19 @@
 %{_libdir}/*.so
 %{_libdir}/pkgconfig/libgda-2.0.pc
 
+%ifnarch ppc64
+
 %files sharp
 %defattr(-,root,root)
+%{_libdir}/libgda
+
+%files sharp-devel
+%defattr(-,root,root)
 %{_datadir}/gapi-2.0
-/usr/lib/mono/gda-sharp-2.0
 %{_libdir}/pkgconfig/gda-sharp-2.0.pc
 
+%endif
+
 %files sqlite
 %defattr(-,root,root)
 %{_libdir}/libgda-1.9/providers/libgda-sqlite.so
@@ -400,6 +422,10 @@
 
 
 %changelog
+* Thu May 10 2007 Hans de Goede <j w r degoede hhs nl> 1:1.9.100-12
+- Don't build mono/sharp bits on ppc64
+- Fixup packaging of sharp bindings to match the mono packaging guidelines
+
 * Fri Dec 15 2006 Hans de Goede <j w r degoede hhs nl> 1:1.9.100-11
 - Rebuild for new postgres
 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]